package client_server;

/**
 * Find Player processes a request from a webpage.  It responds to the request 
 * by sending a query to a database, and returning the result.
**/
import java.io.*;
import java.sql.*;

public class FindPlayer extends WebRequestProcessor
{
	public void process (Request request, Response response)
	{
		try

               {
               	
               	//get the title from the html page
               	String position = request.getParameter("position");

                      // Get a connection to the database.

                      Class.forName ("sun.jdbc.odbc.JdbcOdbcDriver");

                      Connection con = DriverManager.getConnection ("jdbc:odbc:MLB2006");

 

                      // Create a statement and a query.

                      Statement stmt = con.createStatement ();

                      String query = "Select * From Tigers2006 Where position ='" + position + "'";

 

                      // Execute the query and retrieve a ResultSet.

                      ResultSet rs = stmt.executeQuery (query);

                      

                      // Get a PrintWriter object and respond to the request.

                      PrintWriter out = response.getWriter ();

                      Page.createHeader (out, "Player");


 

                      // Display the data in the ResultSet.

                      if (rs.next ())

                      {

                             out.println ("<p>Player: " + rs.getString ("Player"));

                             out.println ("<br />position: " + rs.getString ("position"));

                             out.println ("<br />AB: " + rs.getString ("AB"));

                             out.println ("<br />RBI: " + rs.getString ("RBI"));

                             out.println ("<br />Average: " + rs.getString ("Average"));
                             
                             out.println ("<br />Homeruns: " + rs.getString ("HR") + "</p>");

                      }
                      else
                      {
                      	out.println("<h4>Player not found in the database</4>");
                      }

                      Page.createFooter (out);

                      con.close (); // Close the connection to the database.

               } catch (SQLException e) {System.out.println ("SQL Exception");}

                 catch (ClassNotFoundException e) {System.out.println ("Driver not found");}                       

       } // process

} // FindPlayer



// Class with static method that add standard lines to the html output page.
class Page
{
	public static void createHeader (PrintWriter out, String title)
	{
		out.println ("<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0 Transitional//EN'>");
		out.println ("<span><p>");
		out.println ("<head>");
		out.println ("<title>" + title + "</title>");
		out.println ("</head>");
		out.println ("<tr><td><p>");
		
		
		
	} // createHeader
	
	public static void createFooter (PrintWriter out){out.println ("</td></tr></span>");} 
	
	
	
	
} // class Page
